# -*- coding: utf-8 -*-
"""
Programa que determina si un año es bisiesto

Contiene una función para determinar si un año es bisiesto
y un main que lee el año del teclado y muestra el resultado

@author: Michael
@date  : ene 2019
"""


def es_bisiesto(year: int) -> bool:
    """
    Determina si un año del siglo 21 es bisiesto

    Para otros siglos hay que usar reglas más complejas

    Args:
        year: el año

    Returns:
        un booleano que indica si el año es bisiesto o no
    """

    return year % 4 == 0


def main():
    """
    Programa que lee un año de teclado y
    muestra en pantalla si es bisiesto o no
    """

    # Lee el año del teclado
    year: int = int(input("Introduce el año:"))

    # Determina si es bisiesto o no
    bisiesto: bool = es_bisiesto(year)

    # Muestra el resultado en la pantalla con f-strings
    print(f"El año {year} es bisiesto: {bisiesto}")
