# -*- coding: utf-8 -*-
"""
Conversor de temperaturas entre Farenheit y Celsius

La conversión se hace con la fórmula: F=C*1.8+32

@author: Michael
@date:   Ene 2019
"""


def to_farenheit(cels: float) -> float:
    """
    Convierte Celsius a Farenheit

    Args:
        cels : Temperatura celsius
    Returns:
        El valor de cels en Farenheit
    """
    return cels*1.8+32


def to_celsius(faren: float) -> float:
    """
    Convierte Farenheit a Celsius

    Args:
        faren : Temperatura Farenheit
    Returns:
        El valor de faren en Celsius
    """
    return (faren-32)/1.8


def main():
    """
    Programa para convertir entre temperaturas Farenheit y Celsius


    Se lee un texto que contiene la temperartura y la unidad,
    separados por un espacio en blanco. Ejemplos:
        20.0 C
        70.0 F
    A continuación se muestra el resultado en la otra unidad

    Por sencillez no hacemos detección de errores.
    Lo veremos más adelante
    """

    # Leer la temperatura inicial
    inicial: str = input("Temperatura en C o F. Ejemplo:'30.0 C': ")
    inicial = inicial.strip()

    # Obtenemos la posición de espacio en blanco
    indice_espacio: int = inicial.find(" ")

    # Separamos el número y las unidades
    temp: float = float(inicial[0:indice_espacio])
    unidades: str = inicial[indice_espacio+1:].strip()

    # Comparamos las unidades en mayúsculas
    if unidades.upper() == "C":
        # Celsius
        print(f"Temperatura: {to_farenheit(temp)} F")
    else:
        # Entendemos que las unidades son Farenheit
        print(f"Temperatura: {to_celsius(temp)} C")
